Subject: Ticket Assigned - 9574239478/ late deliver
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sat, 18 Jun 2022 08:47:37 +0000

Hi Alhamzi Mohammed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  9574239478/ late deliver خليفه آل علي                    hello           12:35 PM, 18th Jun                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           12:35 PM, 18th Jun                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            12:35 PM, 18th Jun                   Alhamzi                   Hi, thank you for contacting us. This's Alhamzi We would be happy to help you.           12:37 PM, 18th Jun                   Alhamzi                   How may I help you?           12:37 PM, 18th Jun                     خليفه آل علي                    order number : 9574239478  I ordered on Wednesday and it said my order will be delivered by Thursday but it’s been 3 days and the order has yet to be processed is there anything wrong?           12:38 PM, 18th Jun                     خليفه آل علي                    I was hoping it would be delivered my Thursday because it’s a birthday gift and I’m still waiting for it           12:39 PM, 18th Jun                   Alhamzi                   Please wait while we check the details.            12:42 PM, 18th Jun                   Alhamzi                   We sincerely apologize for any inconvenience caused you.            12:42 PM, 18th Jun                   Alhamzi                   Please be assured as we have now escalated this issue to our concerned team and they are closely working on this to fix it for you.             12:42 PM, 18th Jun                   Alhamzi                   Do you have any other inquiries that we can help with?           12:42 PM, 18th Jun                     خليفه آل علي                    can I know when will it be delivered?           12:43 PM, 18th Jun                   Alhamzi                   kindly not that we do not know the exact delivery time but rest assured that we are doing the needful to deliver your order ASAP.           12:44 PM, 18th Jun                   Alhamzi                   Do you have any other inquiries that we can help with?           12:44 PM, 18th Jun                     خليفه آل علي                    no that’s it thank you           12:46 PM, 18th Jun                   Alhamzi                   It was a pleasure to assist you. Thank you for shopping with us.  Have a wonderful day.           12:47 PM, 18th Jun                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4511973